MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022944Community[OCCT] OCCT:Modeling Algorithmspublic2012-01-30 19:012012-04-16 12:23
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022944: TopOpeBRepTool_traceSTATE.cxx
DescriptionThe lines 35 and 37 declare Standard_EXPORT twice:

Standard_EXPORT Standard_EXPORT Standard_Boolean TopOpeBRepTool_GettraceCL2DDR(const TopAbs_State S)

Standard_EXPORT Standard_EXPORT Standard_Boolean TopOpeBRepTool_GettraceCL2DDR()
TagsNo tags attached.
Test case numberTest case is not required
Attached Filespatch file icon 22944.patch (1,100 bytes) 2012-02-02 16:02

- Relationships

-  Notes
(0019362)
Pawel (developer)
2012-02-02 16:02

patch uploaded
(0019557)
dbv (developer)
2012-02-14 15:30

Patch has been applied and reviewed without remarks.

Branch http://svn/svn/occt/branches/OCC22944 [^] is ready for testing.

Please test.
(0019603)
mkv (tester)
2012-02-16 17:37

Dear BugMaster,
Workbench KAS:dev:mkv-22944-occt was created from SVN branch http://svn/svn/occt/branches/OCC22944 [^]
(and mkv-22944-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22944-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22944-products_15022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019610)
bugmaster (administrator)
2012-02-17 11:40

Integrated into trunk of occt repository

Date: 2012-02-17 11:38:42 +0400 (Fri, 17 Feb 2012)
New Revision: 10493

Modified:
   trunk/src/TopOpeBRepTool/TopOpeBRepTool_traceSTATE.cxx
(0020391)
Pawel (developer)
2012-04-16 12:23

Verified. Please close.

- Related Changesets
occt: master f721b0e0
Timestamp: 2012-02-17 07:38:42
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022944: TopOpeBRepTool_traceSTATE.cxx
mod - src/TopOpeBRepTool/TopOpeBRepTool_traceSTATE.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 19:01 Pawel New Issue
2012-01-30 19:01 Pawel Assigned To => jgv
2012-01-31 10:28 abv Assigned To jgv => dbv
2012-01-31 10:28 abv Status new => assigned
2012-02-02 16:02 Pawel File Added: 22944.patch
2012-02-02 16:02 Pawel Note Added: 0019362
2012-02-02 16:02 Pawel Status assigned => resolved
2012-02-14 15:30 dbv Note Added: 0019557
2012-02-14 15:30 dbv Status resolved => reviewed
2012-02-14 18:36 mkv Assigned To dbv => mkv
2012-02-16 17:37 mkv Note Added: 0019603
2012-02-16 17:38 mkv Test case number => Test case is not required
2012-02-16 17:38 mkv Status reviewed => tested
2012-02-17 11:28 bugmaster Status tested => verified
2012-02-17 11:28 bugmaster Resolution open => fixed
2012-02-17 11:40 bugmaster Note Added: 0019610
2012-02-17 11:42 bugmaster Assigned To mkv => Pawel
2012-02-17 11:42 bugmaster Target Version => 6.5.3
2012-03-29 17:26 bugmaster Changeset attached => occt master f721b0e0
2012-04-16 12:23 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:23 Pawel Note Added: 0020391


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker